Add a link dispatcher to textile texts

2013-08-08 15:59 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Hi there,

it would be really helpful to have a link dispatcher enabled, which prevents this kind of information disclosure (the referral url).

Each link should be dispatched by default, maybe there could be some way to prevent links to be dispatched, if they point to an

internal destination or to a link within the same domain.

Best regards,

Daniel

Related issues:

Related to Redmine - Feature #29660: Add Referrer-Policy header to prevent br... Closed

History

#1 - 2019-08-10 08:42 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

In Redmine 4.0, a full URL is not sent to external sites by web browsers because Referrer-Policy is set to strict-origin-when-cross-origin. See #29660

for details.

#2 - 2019-08-10 08:42 - Go MAEDA

- Related to Feature #29660: Add Referrer-Policy header to prevent browsers from sending private data to external sites added
